Subject: bug#14457: closed (Re: bug#14457: 24.3; buggy forward-sexp in octave mode?)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 08 Jun 2013 03:38:02 +0000

Your bug report

#14457: 24.3; buggy forward-sexp in octave mode?

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14457: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14457
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#14457: 24.3; buggy forward-sexp in octave mode?
From: Leo Liu <[email-masked]>
To: Stefan Monnier <[email-masked]>
Cc: [email-masked]
Date: Sat, 08 Jun 2013 11:36:47 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2013-05-25 14:59 +0800, Stefan Monnier wrote:
> Both behaviors make sense.  Note that elseif/else behaves just like
> case/otherwise: if will stop at the previous matching elseif.
>
> For indentation purpose it's better if it doesn't jump
> too far, which is why octave-mode currently behaves this way.
> The reason why it's better is:
> - faster indentation since we parse less of the buffer.
> - more local decision means that the behavior is easier to understand
>   for the user.
> - also means that it better takes into account choices of the user: if
>   the user decides to place his "case" at some other indentation, only
>   the first "case" after "switch" will disagree with the user, all the
>   other ones will simply align under the first.
>
> Ideally, this behavior would also allow to use C-M-t to transpose two
> cases, just like you can do with the usual infix operators/separators,
> but currently this doesn't work (and it can't be done with "otherwise").

I have noticed with your last change to smie, 'case' 'elseif' are now
nicely highlighted. So I agree with your points and consider this done ;)

Leo

Subject: 24.3; buggy forward-sexp in octave mode?
From: Leo Liu <[email-masked]>
To: [email-masked]
Date: Fri, 24 May 2013 11:07:02 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

1. Open the attached file
2. Move point to end of the word 'otherwise'
3. M-: (forward-sexp -1)

Is this correct behaviour? I noticed this via
smie-highlight-matching-block-mode.

Leo